Bug 2183 - [UPDATE REQUEST] vlc 2.0.6 -> 2.0.7
: [UPDATE REQUEST] vlc 2.0.6 -> 2.0.7
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 11:07 MSD by Andrey Bondrov
Modified: 2013-07-30 16:40 MSD (History)
3 users (show)

See Also:
RPM Package: vlc
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments
localization regress (183.83 KB, image/png)
2013-06-11 14:43 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-06-11 11:07:54 MSD
New bugfix version of VLC (2.0.7) was released.
Comment 1 Andrey Bondrov 2013-06-11 11:11:44 MSD
Advisory: "New bugfix version 2.0.7. It fixes an important regression in decoding numerous audio file formats and when encoding in MP3 and AAC. And few other minor bugs"

Main packages:
https://abf.rosalinux.ru/build_lists/1121741
https://abf.rosalinux.ru/build_lists/1121742

Restricted packages:
https://abf.rosalinux.ru/build_lists/1121739
https://abf.rosalinux.ru/build_lists/1121740
Comment 2 Vladimir Potapov 2013-06-11 14:40:50 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=2187
Comment 3 Vladimir Potapov 2013-06-11 14:43:49 MSD
Created attachment 1536 [details]
localization regress
Comment 4 symbianflo 2013-06-30 21:39:20 MSD
so rejected the bugfix update because russian ain't complete??? WTF is the matter with you people??? So should I put vlc in skiplist because ain't got no romanian localization??? 
HAVE YOU TEST WHAT IS IN ADVISORY INSTEAD OF LOOKING FOR LOCALIZATION IN YOUR LANGUAGE?
I did not knew that Rosa is a distro only for russian, even so you prefer to reject the fix to keep the buggy one with your language complete???? 
THIS IS BULLSHIT.
Dear gents , you're really strange.....
You should check the advisory instead of crappy language problems....
yacs....
I'm out of here.
Comment 5 JDronova 2013-07-15 21:58:33 MSD
I've checked the localization files from vlc -2.0.7 source ( http://download.videolan.org/pub/videolan/vlc/2.0.7/vlc-2.0.7.tar.xz ). The localization regress is due to the same issue which was resolved in the bug 1903 (sorry,  Russian language is used there). So again, we'll need somebody  who is willing to regenerate localization files and rebuild the package. This is not a localization issue, it's a '.po' generation problem on the vlc devs side. May be we should inform the vlc devs about it.
Comment 6 symbianflo 2013-07-15 22:27:04 MSD
(In reply to comment #5)
> I've checked the localization files from vlc -2.0.7 source (
> http://download.videolan.org/pub/videolan/vlc/2.0.7/vlc-2.0.7.tar.xz ). The
> localization regress is due to the same issue which was resolved in the bug
> 1903 (sorry,  Russian language is used there). So again, we'll need somebody
> who is willing to regenerate localization files and rebuild the package.
> This is not a localization issue, it's a '.po' generation problem on the vlc
> devs side. May be we should inform the vlc devs about it.

hmmm now I'm not a "Hannula", or "WANG" or "DeCastro" a.s.o but  if you tell me that a *.po file is not a language issue that's funny... and bug 1903 is another bug , this is an update request why should you mix the issues? This can be fix with no waiting from vlc to re-enable the russian, the bug 1903 can wait until it's fixed upstream.
But of course, you can do as you please , just  that ain't no fair for NON RUSSIAN 
users, you can put it as you please  the fact is you drop an important bugfix update just to keep a buggy version but in russian kind of fascist way of approach.
So we have to wait for a new fixed vlc until upstream will be re-enabled your language... ok ....., this kind of approach ,is one of the reasons that we'll change the distro.
I think you can closed it if Bondrov is agree.
Good luck.
Comment 7 JDronova 2013-07-15 22:35:08 MSD
My comment was related to the localization regress issue only, I personaly do not think we should NOT build the vlc-2.0.7, really. The best solution here imho would be to build the package—> add it to the repos—>open a new (localization) bug or reopen the bug 1903.
Comment 8 Denis Silakov 2013-07-30 16:40:51 MSD
Let's proceed with vlc 2.0.8 - bug #2414.